/* 
 * File:   pic_SPI.h
 * Author: arne
 *
 * Created on 15 de Outubro de 2022, 13:08
 */

#ifndef PIC_SPI_H
#define	PIC_SPI_H

//******************************************************************************
// Arquivos incluídos no módulo
//******************************************************************************
#include "my_defines.h"

//******************************************************************************
// Definições importantes do módulo
//******************************************************************************
#define SCK        RB0          //SCK 
#define SDO        RB3          //MOSI
#define SDI        RB7          //MISO
#define CS         RA4          //CS

#define TVELSPI    10           //1/2^6 = 500kHz; 1/10^6 = 100kHz

//******************************************************************************
// Protótipo das funções
//******************************************************************************
void SPI_init(void);
uint8_t SPI_read(void);
void SPI_write(uint8_t byte_out);
void SPI_writeWord(uint8_t address, uint8_t data);

#endif	/* PIC_SPI_H */

